// (C) 2017-2020 by folkert van heusden, released under AGPL v3.0
#pragma once
#include <string>
#include <vector>

#include "cfg.h"
#include "view_ss.h"
#include "source.h"
#include "target.h"

class view_pip : public view_ss
{
private:
	const int perc;
	uint8_t *prev_frame { nullptr };

public:
	view_pip(configuration_t *const cfg, const std::string & id, const std::string & descr, const int width, const int height, resize *const r, const std::vector<view_src_t> & sources, std::vector<target *> *const targets, std::vector<filter *> *const filters, int perc);
	virtual ~view_pip();

	std::string get_html(const std::map<std::string, std::string> & pars) const override;
	bool get_frame(const encoding_t pe, const int jpeg_quality, uint64_t *ts, int *width, int *height, uint8_t **frame, size_t *frame_len, const bool repeat) override;
};
